Assignments - Create Or Update
Şema ataması oluşturma veya güncelleştirme.
PUT https://management.azure.com/{resourceScope}/providers/Microsoft.Blueprint/blueprintAssignments/{assignmentName}?api-version=2018-11-01-preview
URI Parametreleri
| Name | İçinde | Gerekli | Tür | Description |
|---|---|---|---|---|
|
assignment
|
path | True |
string |
Şema atamasının adı. |
|
resource
|
path | True |
string |
Kaynağın kapsamı. Geçerli kapsamlar şunlardır: yönetim grubu (biçim: '/providers/Microsoft.Management/managementGroups/{managementGroup}'), abonelik (biçim: '/subscriptions/{subscriptionId}'). |
|
api-version
|
query | True |
string |
İstemci API Sürümü. |
İstek Gövdesi
| Name | Gerekli | Tür | Description |
|---|---|---|---|
| identity | True |
Bu şema ataması için yönetilen kimlik. |
|
| location | True |
string |
Bu şema atamasının konumu. |
| properties.parameters | True |
<string,
Parameter |
Şema ataması parametre değerleri. |
| properties.resourceGroups | True |
<string,
Resource |
Kaynak grubu yer tutucularının adları ve konumları. |
| properties.blueprintId |
string |
Şema tanımının yayımlanmış sürümünün kimliği. |
|
| properties.description |
string maxLength: 500 |
Bu kaynağı çok satırlı olarak açıklayın. |
|
| properties.displayName |
string maxLength: 256 |
Tek satırlık dize bu kaynağı açıklar. |
|
| properties.locks |
Şema ataması tarafından dağıtılan kaynakların nasıl kilitlendiğini tanımlar. |
||
| properties.scope |
string |
Şema atamasının hedef abonelik kapsamı (biçim: '/subscriptions/{subscriptionId}'). Yönetim grubu düzeyi atamaları için özelliği gereklidir. |
Yanıtlar
| Name | Tür | Description |
|---|---|---|
| 201 Created |
Oluşturuldu -- şema ataması kaydedildi. |
|
| Other Status Codes |
Şemalar hata yanıtı. |
Güvenlik
azure_auth
Azure Active Directory OAuth2 Akışı
Tür:
oauth2
Akış:
implicit
Yetkilendirme URL’si:
https://login.microsoftonline.com/common/oauth2/authorize
Kapsamlar
| Name | Description |
|---|---|
| user_impersonation | kullanıcı hesabınızın kimliğine bürünme |
Örnekler
Assignment with system-assigned managed identity at management group scope
Örnek isteği
PUT https://management.azure.com/managementGroups/ContosoOnlineGroup/providers/Microsoft.Blueprint/blueprintAssignments/assignSimpleBlueprint?api-version=2018-11-01-preview
{
"identity": {
"type": "SystemAssigned"
},
"location": "eastus",
"properties": {
"description": "enforce pre-defined simpleBlueprint to this XXXXXXXX subscription.",
"blueprintId": "/providers/Microsoft.Management/managementGroups/ContosoOnlineGroup/providers/Microsoft.Blueprint/blueprints/simpleBlueprint",
"scope": "subscriptions/00000000-0000-0000-0000-000000000000",
"parameters": {
"storageAccountType": {
"value": "Standard_LRS"
},
"costCenter": {
"value": "Contoso/Online/Shopping/Production"
},
"owners": {
"value": [
"johnDoe@contoso.com",
"johnsteam@contoso.com"
]
}
},
"resourceGroups": {
"storageRG": {
"name": "defaultRG",
"location": "eastus"
}
}
}
}
Örnek yanıt
{
"identity": {
"type": "SystemAssigned",
"tenantId": "00000000-0000-0000-0000-000000000000",
"principalId": "00000000-0000-0000-0000-000000000000"
},
"location": "eastus",
"properties": {
"description": "enforce pre-defined simpleBlueprint to this XXXXXXXX subscription.",
"provisioningState": "creating",
"blueprintId": "/providers/Microsoft.Management/managementGroups/ContosoOnlineGroup/providers/Microsoft.Blueprint/blueprints/simpleBlueprint",
"scope": "subscriptions/00000000-0000-0000-0000-000000000000",
"parameters": {
"storageAccountType": {
"value": "Standard_LRS"
},
"costCenter": {
"value": "Contoso/Online/Shopping/Production"
},
"owners": {
"value": [
"johnDoe@contoso.com",
"johnsteam@contoso.com"
]
}
},
"resourceGroups": {
"storageRG": {
"name": "defaultRG",
"location": "eastus"
}
}
},
"id": "/managementGroups/ContosoOnlineGroup/providers/Microsoft.Blueprint/blueprintAssignments/assignSimpleBlueprint",
"type": "Microsoft.Blueprint/Assignment",
"name": "assignSimpleBlueprint"
}
Assignment with system-assigned managed identity at subscription scope
Örnek isteği
PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.Blueprint/blueprintAssignments/assignSimpleBlueprint?api-version=2018-11-01-preview
{
"identity": {
"type": "SystemAssigned"
},
"location": "eastus",
"properties": {
"description": "enforce pre-defined simpleBlueprint to this XXXXXXXX subscription.",
"blueprintId": "/providers/Microsoft.Management/managementGroups/ContosoOnlineGroup/providers/Microsoft.Blueprint/blueprints/simpleBlueprint",
"parameters": {
"storageAccountType": {
"value": "Standard_LRS"
},
"costCenter": {
"value": "Contoso/Online/Shopping/Production"
},
"owners": {
"value": [
"johnDoe@contoso.com",
"johnsteam@contoso.com"
]
}
},
"resourceGroups": {
"storageRG": {
"name": "defaultRG",
"location": "eastus"
}
}
}
}
Örnek yanıt
{
"identity": {
"type": "SystemAssigned",
"tenantId": "00000000-0000-0000-0000-000000000000",
"principalId": "00000000-0000-0000-0000-000000000000"
},
"location": "eastus",
"properties": {
"description": "enforce pre-defined simpleBlueprint to this XXXXXXXX subscription.",
"provisioningState": "creating",
"blueprintId": "/providers/Microsoft.Management/managementGroups/ContosoOnlineGroup/providers/Microsoft.Blueprint/blueprints/simpleBlueprint",
"parameters": {
"storageAccountType": {
"value": "Standard_LRS"
},
"costCenter": {
"value": "Contoso/Online/Shopping/Production"
},
"owners": {
"value": [
"johnDoe@contoso.com",
"johnsteam@contoso.com"
]
}
},
"resourceGroups": {
"storageRG": {
"name": "defaultRG",
"location": "eastus"
}
}
},
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.Blueprint/blueprintAssignments/assignSimpleBlueprint",
"type": "Microsoft.Blueprint/Assignment",
"name": "assignSimpleBlueprint"
}
Assignment with user-assigned managed identity at management group scope
Örnek isteği
PUT https://management.azure.com/managementGroups/ContosoOnlineGroup/providers/Microsoft.Blueprint/blueprintAssignments/assignSimpleBlueprint?api-version=2018-11-01-preview
{
"identity": {
"type": "UserAssigned",
"userAssignedIdentities": {
"/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/contoso-resource-group/providers/Microsoft.ManagedIdentity/userAssignedIdentities/contoso-identity": {}
}
},
"location": "eastus",
"properties": {
"description": "enforce pre-defined simpleBlueprint to this XXXXXXXX subscription.",
"blueprintId": "/providers/Microsoft.Management/managementGroups/ContosoOnlineGroup/providers/Microsoft.Blueprint/blueprints/simpleBlueprint",
"scope": "subscriptions/00000000-0000-0000-0000-000000000000",
"parameters": {
"storageAccountType": {
"value": "Standard_LRS"
},
"costCenter": {
"value": "Contoso/Online/Shopping/Production"
},
"owners": {
"value": [
"johnDoe@contoso.com",
"johnsteam@contoso.com"
]
}
},
"resourceGroups": {
"storageRG": {
"name": "defaultRG",
"location": "eastus"
}
}
}
}
Örnek yanıt
{
"identity": {
"type": "UserAssigned",
"tenantId": "00000000-0000-0000-0000-000000000000",
"userAssignedIdentities": {
"/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/contoso-resource-group/providers/Microsoft.ManagedIdentity/userAssignedIdentities/contoso-identity": {
"principalId": "00000000-0000-0000-0000-000000000000",
"clientId": "00000000-0000-0000-0000-000000000000"
}
}
},
"location": "eastus",
"properties": {
"description": "enforce pre-defined simpleBlueprint to this XXXXXXXX subscription.",
"provisioningState": "creating",
"blueprintId": "/providers/Microsoft.Management/managementGroups/ContosoOnlineGroup/providers/Microsoft.Blueprint/blueprints/simpleBlueprint",
"scope": "subscriptions/00000000-0000-0000-0000-000000000000",
"parameters": {
"storageAccountType": {
"value": "Standard_LRS"
},
"costCenter": {
"value": "Contoso/Online/Shopping/Production"
},
"owners": {
"value": [
"johnDoe@contoso.com",
"johnsteam@contoso.com"
]
}
},
"resourceGroups": {
"storageRG": {
"name": "defaultRG",
"location": "eastus"
}
}
},
"id": "/managementGroups/ContosoOnlineGroup/providers/Microsoft.Blueprint/blueprintAssignments/assignSimpleBlueprint",
"type": "Microsoft.Blueprint/Assignment",
"name": "assignSimpleBlueprint"
}
Assignment with user-assigned managed identity at subscription scope
Örnek isteği
PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.Blueprint/blueprintAssignments/assignSimpleBlueprint?api-version=2018-11-01-preview
{
"identity": {
"type": "UserAssigned",
"userAssignedIdentities": {
"/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/contoso-resource-group/providers/Microsoft.ManagedIdentity/userAssignedIdentities/contoso-identity": {}
}
},
"location": "eastus",
"properties": {
"description": "enforce pre-defined simpleBlueprint to this XXXXXXXX subscription.",
"blueprintId": "/providers/Microsoft.Management/managementGroups/ContosoOnlineGroup/providers/Microsoft.Blueprint/blueprints/simpleBlueprint",
"parameters": {
"storageAccountType": {
"value": "Standard_LRS"
},
"costCenter": {
"value": "Contoso/Online/Shopping/Production"
},
"owners": {
"value": [
"johnDoe@contoso.com",
"johnsteam@contoso.com"
]
}
},
"resourceGroups": {
"storageRG": {
"name": "defaultRG",
"location": "eastus"
}
}
}
}
Örnek yanıt
{
"identity": {
"type": "UserAssigned",
"tenantId": "00000000-0000-0000-0000-000000000000",
"userAssignedIdentities": {
"/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/contoso-resource-group/providers/Microsoft.ManagedIdentity/userAssignedIdentities/contoso-identity": {
"principalId": "00000000-0000-0000-0000-000000000000",
"clientId": "00000000-0000-0000-0000-000000000000"
}
}
},
"location": "eastus",
"properties": {
"description": "enforce pre-defined simpleBlueprint to this XXXXXXXX subscription.",
"provisioningState": "creating",
"blueprintId": "/providers/Microsoft.Management/managementGroups/ContosoOnlineGroup/providers/Microsoft.Blueprint/blueprints/simpleBlueprint",
"parameters": {
"storageAccountType": {
"value": "Standard_LRS"
},
"costCenter": {
"value": "Contoso/Online/Shopping/Production"
},
"owners": {
"value": [
"johnDoe@contoso.com",
"johnsteam@contoso.com"
]
}
},
"resourceGroups": {
"storageRG": {
"name": "defaultRG",
"location": "eastus"
}
}
},
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.Blueprint/blueprintAssignments/assignSimpleBlueprint",
"type": "Microsoft.Blueprint/Assignment",
"name": "assignSimpleBlueprint"
}
Tanımlar
| Name | Description |
|---|---|
| Assignment |
Şema atamalarını temsil eder. |
|
Assignment |
Kilit modu. |
|
Assignment |
Şema ataması tarafından dağıtılan kaynakların nasıl kilitlendiğini tanımlar. |
|
Assignment |
Şema atamasının durumu. |
|
Assignment |
Şema atamasının durumu. Bu alan salt okunur. |
|
Cloud |
|
|
Error |
Kaynak yönetimi hatası ek bilgileri. |
|
Error |
Hata Yanıtı |
|
key |
Key Vault bağlantısını belirtir. |
|
Managed |
Yönetilen kimlik genel nesnesi. |
|
Managed |
Yönetilen kimliğin türü. |
|
Parameter |
Belirtilen parametrenin değeri. 'değer' veya 'başvuru' olabilir, ancak ikisi birden olamaz. |
|
Resource |
Bir Azure kaynak grubunu temsil eder. |
|
Secret |
Key Vault gizli dizisine başvuru. |
|
User |
Kullanıcı tarafından atanan yönetilen kimlik. |
Assignment
Şema atamalarını temsil eder.
| Name | Tür | Description |
|---|---|---|
| id |
string |
Azure'da herhangi bir kaynağı bulmak için kullanılan dize kimliği. |
| identity |
Bu şema ataması için yönetilen kimlik. |
|
| location |
string |
Bu şema atamasının konumu. |
| name |
string |
Bu kaynağın adı. |
| properties.blueprintId |
string |
Şema tanımının yayımlanmış sürümünün kimliği. |
| properties.description |
string maxLength: 500 |
Bu kaynağı çok satırlı olarak açıklayın. |
| properties.displayName |
string maxLength: 256 |
Tek satırlık dize bu kaynağı açıklar. |
| properties.locks |
Şema ataması tarafından dağıtılan kaynakların nasıl kilitlendiğini tanımlar. |
|
| properties.parameters |
<string,
Parameter |
Şema ataması parametre değerleri. |
| properties.provisioningState |
Şema atamasının durumu. |
|
| properties.resourceGroups |
<string,
Resource |
Kaynak grubu yer tutucularının adları ve konumları. |
| properties.scope |
string |
Şema atamasının hedef abonelik kapsamı (biçim: '/subscriptions/{subscriptionId}'). Yönetim grubu düzeyi atamaları için özelliği gereklidir. |
| properties.status |
Şema atamasının durumu. Bu alan salt okunur. |
|
| type |
string |
Bu kaynağın türü. |
AssignmentLockMode
Kilit modu.
| Değer | Description |
|---|---|
| None | |
| AllResourcesReadOnly | |
| AllResourcesDoNotDelete |
AssignmentLockSettings
Şema ataması tarafından dağıtılan kaynakların nasıl kilitlendiğini tanımlar.
| Name | Tür | Description |
|---|---|---|
| excludedActions |
string[] |
Şema kilitlerinin dışında tutulan yönetim işlemlerinin listesi. En fazla 200 eyleme izin verilir. Kilit modu 'AllResourcesReadOnly' olarak ayarlanırsa, şu eylemler otomatik olarak 'excludedActions'a eklenir: '*/read', 'Microsoft.Network/virtualNetworks/subnets/join/action' ve 'Microsoft.Authorization/locks/delete'. Kilit modu 'AllResourcesDoNotDelete' olarak ayarlanırsa, şu eylemler 'excludedActions' öğesine otomatik olarak eklenir: 'Microsoft.Authorization/locks/delete'. Yinelenen eylemler kaldırılır. |
| excludedPrincipals |
string[] |
Şema kilitlerinin dışında tutulan AAD sorumlularının listesi. En fazla 5 sorumluya izin verilir. |
| mode |
Kilit modu. |
AssignmentProvisioningState
Şema atamasının durumu.
| Değer | Description |
|---|---|
| creating | |
| validating | |
| waiting | |
| deploying | |
| cancelling | |
| locking | |
| succeeded | |
| failed | |
| canceled | |
| deleting |
AssignmentStatus
Şema atamasının durumu. Bu alan salt okunur.
| Name | Tür | Description |
|---|---|---|
| lastModified |
string (date-time) |
Bu şema tanımının son değiştirme zamanı. |
| managedResources |
string[] |
Şema ataması tarafından oluşturulan kaynakların listesi. |
| timeCreated |
string (date-time) |
Bu şema tanımının oluşturma zamanı. |
CloudError
| Name | Tür | Description |
|---|---|---|
| error |
Hata Yanıtı |
ErrorAdditionalInfo
Kaynak yönetimi hatası ek bilgileri.
| Name | Tür | Description |
|---|---|---|
| info |
object |
Ek bilgiler. |
| type |
string |
Ek bilgi türü. |
ErrorResponse
Hata Yanıtı
| Name | Tür | Description |
|---|---|---|
| additionalInfo |
Hata ek bilgileri. |
|
| code |
string |
Hata kodu. |
| details |
Hata ayrıntıları. |
|
| message |
string |
Hata iletisi. |
| target |
string |
Hata hedefi. |
keyVaultReference
Key Vault bağlantısını belirtir.
| Name | Tür | Description |
|---|---|---|
| id |
string |
Key Vault'un Azure kaynak kimliği. |
ManagedServiceIdentity
Yönetilen kimlik genel nesnesi.
| Name | Tür | Description |
|---|---|---|
| principalId |
string |
Bu Kimlikle ilişkili Azure Active Directory asıl kimliği. |
| tenantId |
string |
Azure Active Directory kimliği. |
| type |
Yönetilen kimliğin türü. |
|
| userAssignedIdentities |
<string,
User |
Kaynakla ilişkili kullanıcı tarafından atanan yönetilen kimliklerin listesi. Anahtar, yönetilen kimliğin Azure kaynak kimliğidir. |
ManagedServiceIdentityType
Yönetilen kimliğin türü.
| Değer | Description |
|---|---|
| None | |
| SystemAssigned | |
| UserAssigned |
ParameterValue
Belirtilen parametrenin değeri. 'değer' veya 'başvuru' olabilir, ancak ikisi birden olamaz.
| Name | Tür | Description |
|---|---|---|
| reference |
Başvuru türü olarak parametre değeri. |
|
| value |
object |
Parametre değeri. Nesneler, diziler, dizeler, sayılar ve boole değerleri dahil olmak üzere geçerli JSON değerlerine izin verilir. |
ResourceGroupValue
Bir Azure kaynak grubunu temsil eder.
| Name | Tür | Description |
|---|---|---|
| location |
string |
Kaynak grubunun konumu. |
| name |
string minLength: 1maxLength: 90 |
Kaynak grubunun adı. |
SecretValueReference
Key Vault gizli dizisine başvuru.
| Name | Tür | Description |
|---|---|---|
| keyVault |
Belirli bir Azure Key Vault'a başvuruyu belirtir. |
|
| secretName |
string |
Gizli dizinin adı. |
| secretVersion |
string |
Kullanılacak gizli dizi sürümü. Boş bırakılırsa, gizli dizinin en son sürümü kullanılır. |
UserAssignedIdentity
Kullanıcı tarafından atanan yönetilen kimlik.
| Name | Tür | Description |
|---|---|---|
| clientId |
string |
Bu kimlikle ilişkili İstemci Uygulama Kimliği. |
| principalId |
string |
Bu Kimlikle ilişkili Azure Active Directory asıl kimliği. |